Bug 483471 - maradns init script condrestart does not work
maradns init script condrestart does not work
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: maradns (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Michael Fleming
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-01 11:00 EST by Andrew J. Schorr
Modified: 2009-03-09 19:07 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.3.07.09-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-09 18:59:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix condrestart in /etc/rc.d/init.d/maradns (526 bytes, patch)
2009-02-01 11:00 EST, Andrew J. Schorr
no flags Details | Diff

  None (edit)
Description Andrew J. Schorr 2009-02-01 11:00:29 EST
Created attachment 330559 [details]
fix condrestart in /etc/rc.d/init.d/maradns

Description of problem:
In /etc/rc.d/init.d/maradns, condrestart does not work properly.
It calls a shell function (restart) that does not actually exist.

Version-Release number of selected component (if applicable):
maradns-1.3.07.08-1.fc9.i386




How reproducible:
After starting maradns, run the command 'service maradns condrestart'


Steps to Reproduce:
1. Start the maradns service by running 'service maradns start'
2. Now try to restart with 'service maradns condrestart'
3.
  
Actual results:
sh-3.2# service maradns condrestart
/etc/init.d/maradns: line 104: restart: command not found


Expected results:
The service should be restarted

Additional info:
I am attaching a patch that seems to fix the problem.  The same
bug exists in the maradns-zoneserver init script, so a comparable
patch should be applied.
Comment 1 Michael Fleming 2009-02-21 19:39:53 EST
Applied to CVS tree, will build once I can get my client-side cert updated.

Also updating to current stable (.09)
Comment 2 Fedora Update System 2009-02-26 16:55:31 EST
maradns-1.3.07.09-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/maradns-1.3.07.09-1.fc9
Comment 3 Fedora Update System 2009-02-26 16:56:55 EST
maradns-1.3.07.09-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/maradns-1.3.07.09-1.fc10
Comment 4 Fedora Update System 2009-02-27 22:20:49 EST
maradns-1.3.07.09-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update maradns'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-2157
Comment 5 Fedora Update System 2009-02-27 22:28:13 EST
maradns-1.3.07.09-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update maradns'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2193
Comment 6 Fedora Update System 2009-03-09 18:59:41 EDT
maradns-1.3.07.09-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-03-09 19:07:25 EDT
maradns-1.3.07.09-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.